Retail Express API 2.1

currencies

Searches Currencies by parameters

Searches Currencies by parameters

get
https://api.retailexpress.com.au/v2/currencies

Query Parameters

modified_sincestring | null(date-time)

Modified since search parameter

order_bystring | null

Order by.

Available field name values: id (default), currency_code, currency_name, modified_on

Available direction values: asc, desc.

Example: description asc, modified_on desc

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Currencies data

Currency.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Currencies model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/currencies
 
application/json

Gets Currency by id

Gets Currency by id

get
https://api.retailexpress.com.au/v2/currencies/{id}

Path Parameters

idinteger(int32)required

Gets Currency by id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Currency

Currency

Currencies model

* Additional properties are NOT allowed.
idinteger | null(int32)

Currency Id

currency_codestring | null

Currency Code

currency_namestring | null

Currency Name

modified_onstring(date-time)

Last Modified On

get/currencies/{id}
 
application/json

customers

Searches Customers by parameters

Searches Customers by parameters

get
https://api.retailexpress.com.au/v2/customers

Query Parameters

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

order_bystring | null

Order by.

Available field name values: id, customer_number, email, mobile, first_name, last_name, company, customer_type_name, receive_email, receive_post, receive_sms,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
account_customer_enabled, account_customer_payment_terms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, account_customer_credit_limit, account_customer_credit_remaining, sales_channel:id

Available direction values: id asc, customer_number desc.

Example: id asc, supplier desc

filter_bystring | null

Filter by.

Available field name values: id, customer_number, first_name, last_name, full_name, company, date_of_birth, date_of_birth_withheld, customer_type_name,
mobile, phone, email, account_customer_enabled, account_customer_payment_terms, account_customer_credit_blocked, account_customer_credit_limit, account_customer_credit_remaining,
billing_address_suburb, billing_address_state, billing_address_postcode, billing_address_country,
loyalty_program_enabled, loyalty_points_available, loyalty_points_available_value, loyalty_points_redeemed, loyalty_points_to_date,
receive_email, receive_post, receive_sms, price_group_standard, price_group_fixed, home_outlet_name, custom_reference, created_on, modified_on,
export_to_web, sales_channel:id

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:303062, sales_channel:3039:eq:true

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customers data

Customer.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers
 
application/json